Subject: Re: bug#17386: 24.3.90; emacs_abort in cmcheckmagic

From: Nicolas Richard <[email-masked]>
Date: Sat, 03 May 2014 08:56:57 +0200

Eli Zaretskii <[email-masked]> writes:
>> Perhaps it was counting lines in the frame that lived in tmux-over-gdb
>> (tmux uses one line). Would that make sense ?
>
> Sorry, I have no idea what tmux-over-gdb can do to that.  I'd be
> surprised if it changed Emacs's idea of screen dimensions, though.

tmux shows some sort of status line, which means that the client
(emacs-in-gdb in my case) sees one line less.

I tried this experiment in a maximized gnome-terminal on my laptop:
$ gdb emacs
(gdb) r -nw -Q
hit: C-z
(gdb) p FrameRows(current_tty)
$1 = 43

now with tmux, still in a maximized gnome-terminal :
$ tmux # this will show a "status line" from tmux in gnome-terminal
$ gdb emacs
(gdb) r -nw -Q
hit: C-z
(gdb) p FrameRows(current_tty)
$1 = 42

So it does change the screen dimensions.

I tried splitting tmux (because of the related bug bug#16674) :
(gdb) p FrameRows(current_tty)
$4 = 20

(that's in the lower pane ; in the one above the answer is 21)

-- 
Nico.